> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete multipart upload

> Completes a multipart upload task after all parts of the corresponding file are uploaded.

## Important notes

When calling this endpoint, you must provide a full list of uploaded parts, including their sequential numbers and corresponding ETag values. Cloud Object Storage service (for example, AWS S3) validates each part in sequence and, upon successful verification, combines them into a complete file.



## OpenAPI

````yaml post /v2/team/file/complete-multipart-upload
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/file/complete-multipart-upload:
    post:
      tags:
        - File
      summary: Complete multipart upload
      description: >-
        Completes a multipart upload task after all parts of the corresponding
        file are uploaded.


        ## Important notes


        When calling this endpoint, you must provide a full list of uploaded
        parts, including their sequential numbers and corresponding ETag values.
        Cloud Object Storage service (for example, AWS S3) validates each part
        in sequence and, upon successful verification, combines them into a
        complete file.
      parameters:
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                file_object_key:
                  type: string
                  description: The object storage path to the file.
                upload_id:
                  type: string
                  description: >-
                    The upload ID of the multipart upload task, which is
                    returned when the [Initiate multipart
                    upload](/api-reference/v2/initiate-multipart-upload)
                    operation is done.
                part_etags:
                  type: array
                  items:
                    type: object
                    properties:
                      part_number:
                        type: integer
                        description: The part number of the part.
                      etag:
                        type: string
                        description: 'The ETag value of the part. '
                    required:
                      - part_number
                      - etag
                    description: The information about each part.
                  description: The full list of ETag values.
                user_id:
                  type: string
                  description: >-
                    Your user ID, which uniquely identifies you within your
                    team. To obtain your ID:


                    - If you're the team admin, refer to [Check user
                    information](/enterprise/users#check-user-information).

                    - If you're a system or virtual user, ask your team admin to
                    check your user ID by referring to [Check user
                    information](/enterprise/users#check-user-information).
              required:
                - file_object_key
                - upload_id
                - part_etags
                - user_id
            example:
              file_object_key: >-
                temp/user/tmm-cm8gt41kuxxxx1l1d1n2wz8v/26f6272c-a847-4589-b352-a85471bb5121.csv
              part_etags:
                - etag: 124AD7DCA
                  number: 1
              upload_id: >-
                5k3EJxAYgtHW1fkbF54ppKEiTWSBeFBQ_01DnFEDSSHChV7w1jpw7SM_KWLkHYXm6Wzaw_NOpMG_OFsi9D5R8Csx9Dxxxxxx.YuWNjbTMWYIwVKG5rw0VXJZzgWbwSfe
              user_id: tmm-cm8gt41kuxxxx1l1d1n2wz8v
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    type: object
                    properties:
                      file_object_key:
                        type: string
                        description: The object storage path to the file.
                    required:
                      - file_object_key
                    description: The returned data object.
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  file_object_key: >-
                    temp/user/tmm-cm8gt41kuxxxx1l1d1n2wz8v/26f6272c-a847-4589-b352-a85471bb5121.csv
          headers: {}
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````